Adding set -e to fail onos-create-app on mvn generate failures

Also, adding fixme that can be a common pitfall in Buck build land

Change-Id: I96828aa520d6b81c71d1d7b2ce1841d93c92a843
diff --git a/tools/dev/bin/onos-create-app b/tools/dev/bin/onos-create-app
index 454bcd6..3ce8534 100755
--- a/tools/dev/bin/onos-create-app
+++ b/tools/dev/bin/onos-create-app
@@ -23,6 +23,9 @@
 [ -n "$1" ] && otherOptions="$otherOptions -Dversion=$1" && shift
 [ -n "$1" ] && otherOptions="$otherOptions -Dpackage=$1" && shift
 
+set -ex
+
+#FIXME This will fail for SNAPSHOT versions when Maven has not been used for a local build.
 mvn archetype:generate -DarchetypeGroupId=org.onosproject \
     -DarchetypeArtifactId=onos-$archetype-archetype \
     -DarchetypeVersion=$ONOS_POM_VERSION $otherOptions "$@"